apply from: 'common.gradle'
apply from: 'dependencies.gradle'

println("gradle build ==== channel: " + channel)
println("gradle build ==== env    : " + env)
println("gradle build ==== abiFiltersArray    : " + abiFiltersArray)

dependencies {
    implementation project(':unityszLib')// Bugly
    implementation 'com.tencent.bugly:crashreport:4.1.9'

    // Walle
    implementation 'com.meituan.android.walle:library:1.1.6'

    // implementation 'com.google.guava:guava:28.1-jre' //本地push

    // sdk 必须的
    implementation iHumanLibs.moduleCore
    implementation iHumanLibs.modulePrivacy //隐私协议SDK
    implementation iHumanLibs.moduleLaunch //启动

    implementation iHumanLibs.libAccountSim //sim登录
    implementation iHumanLibs.moduleAccountUi  // 统一登录

    implementation iHumanLibs.moduleBenefit //福利
    implementation iHumanLibs.moduleBroadcast //广播模块

    implementation iHumanLibs.libWx //wx
    implementation iHumanLibs.libAlipay //支付宝
	implementation iHumanLibs.libAsr //语音识别
    implementation iHumanLibs.libSpeecheval //说环节语音识别

    implementation 'org.slf4j:slf4j-android:1.7.36'
}

android {
    sourceSets {
        main {
            jni.srcDirs = ['src/main/jniLibs', '../unityLibrary/src/main/Il2CppOutputProject']
        }
    }
}


